qubinetskeycloak:
  qubeKey: qubinetskeycloak
  name: Qubinets Keycloak
  version: main
  chart: charts/qubinets-keycloak
  repo: https://gitlab.com/qubes-contributions/qubinets-helm-charts.git
  type: chart-git-repository
  id: qubinetskeycloak
  maturity: alpha

  ui:
    icon: keycloak
    shortDescription: Open Source Identity and Access Management
    description: Qubinets Keycloak is a custom helm chart in which the Keycloak is deployed with custom realm used in SSO with Oauth2.
    links:
    - linkName: Homepage
      url: https://www.keycloak.org/
    - linkName: Documentation
      url: https://www.keycloak.org/documentation
    - linkName: Github
      url: https://github.com/keycloak/keycloak
    catalogItem: true
    maxNumOfInstances: 1
    cpu: 1
    ram: 2
    disk: 20


  metadata:
    id: keycloak
    domain: "{{ defaults.workspace.subdomain }}.{{ defaults.workspace.domain }}"
    url: "{{ metadata.id }}.{{ metadata.domain }}"

  properties:
    keycloakUsername:
      type: text
      displayName: "Keycloak username"
      parameterId: keycloakUsername
      defaultValue: "admin"
      readOnly: false
      required: true
      validationRegex: "^[a-zA-Z][a-zA-Z0-9_@-]{2,15}$"
    keycloakPassword:
      type: password
      displayName: "Keycloak password"
      parameterId: keycloakPassword
      defaultValue: "Password123!"
      readOnly: false
      required: true
      validationRegex: "^(?=.*[A-Z])(?=.*\\d)(?=.*[!@#$%^&*()_+{}\\[\\]:;<>,.?\\/~`\\-]).{8,}$"
    keycloakRealm:
      type: text
      displayName: "Keycloak realm"
      parameterId: keycloakRealm
      defaultValue: "qubinets"
      readOnly: false
      required: true
      validationRegex: "^[a-z]{2,}$"
    keycloakRealmUsername:
      type: text
      displayName: "Keycloak realm username"
      parameterId: keycloakRealmUsername
      defaultValue: "support@qubinets.com"
      readOnly: false
      required: true
      validationRegex: "^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}$"

  schemaType:
    oauthproxy:
      keycloakRealm:
        type: text
        displayName: "Keycloak realm"
        defaultValue: "qubinets"
        readOnly: false
        required: true
        validationRegex: "^[a-z]{2,}$"

  schemaData: {}